.contacts {
    max-width: 1670px;
    padding: 0 15px 70px;
    margin: 0 auto;
}

.contacts__breadcrumbs {
    display: flex;
    gap: 5px;
    font-size: 12px;
    line-height: 21px;
    margin: 15px 0 40px;
    opacity: 0.6;
}

.contacts__title {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 32px;
}

.contacts__content {
    display: flex;
    gap: 16px;
    margin-bottom: 15px;
}

.contacts__content-text {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.contacts__links {
    display: flex;
    gap: 36px;
    background: #FFF8F7;
    border-radius: 10px;
    padding: 40px 30px;
}

.contacts__links-item {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.contacts__links-item a {
    width: max-content;
    max-width: 220px;
    color: #EE3200;
    font-size: 15px;
    transition: all .3s;
}

.contacts__links-item a:hover {
    color: #2A2A2A;
}

.contacts__links-title {
    width: max-content;
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 4px;
}

.contacts__worktime {
    display: flex;
    gap: 15px;
}

.contacts__worktime-item {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
    background: #FFF4F1;
    border-radius: 10px;
    padding: 40px 30px;
}

.contacts__worktime-item:nth-child(2) {
    background: #FFEEE9;
}

.contacts__worktime-title {
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
}

.contacts__map {
    width: 100%;
    height: auto;
    border-radius: 10px;
    overflow: hidden;
}

.contacts__map iframe {
    width: 100%;
    height: 100%;
}

.contacts__route {
    display: flex;
    gap: 80px;
    background: #FFF8F7;
    border-radius: 10px;
    padding: 40px;
}

.contacts__route-map {
    width: 100%;
    max-width: 800px;
    height: 100%;
    aspect-ratio: 1.7;
    border-radius: 10px;
    overflow: hidden;
}

.contacts__route-map iframe {
    width: 100%;
    height: 100%;
}

.contacts__route-main {
    max-width: 385px;
}

.contacts__route-title {
    font-size: 24px;
    font-weight: 600;
    line-height: 28px;
    text-transform: uppercase;
    margin-bottom: 40px;
}

.contacts__route-info {
    display: flex;
    flex-direction: column;
    gap: 16px;
    font-size: 15px;
    margin-bottom: 40px;
}

.contacts__route-info b {
    font-weight: 600;
}

.contacts__route-link {
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FFFFFF;
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
    text-align: center;
    background: #F23300;
    border-radius: 10px;
    transition: all .3s;
}

.contacts__route-link:hover {
    background: #D02C00;
}

.worktime {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.worktime__label {
    color: #767676;
    font-size: 12px;
}

.worktime__value {
    font-size: 15px;
}

@media (max-width: 1200px) {
    .contacts__links {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 1024px) {
    .contacts__content {
        flex-direction: column;
    }

    .contacts__map {
        aspect-ratio: 1.5;
    }

    .contacts__route {
        flex-direction: column-reverse;
        gap: 40px;
    }
}

@media (max-width: 768px) {
    .contacts {
        padding: 0 10px 40px;
    }

    .contacts__breadcrumbs {
        font-size: 10px;
        line-height: normal;
        margin: 15px 0 24px;
    }

    .contacts__title {
        font-size: 12px;
        margin-bottom: 24px;
    }

    .contacts__content {
        gap: 10px;
        margin-bottom: 10px;
    }

    .contacts__content-text {
        gap: 10px;
    }

    .contacts__links {
        gap: 24px;
        padding: 20px 16px;
    }

    .contacts__links-item a {
        max-width: 150px;
        font-size: 12px;
    }

    .contacts__links-title {
        font-size: 12px;
    }

    .contacts__worktime {
        gap: 10px;
    }

    .contacts__worktime-item {
        gap: 16px;
        padding: 20px 16px;
    }

    .contacts__worktime-title {
        font-size: 12px;
    }

    .contacts__route {
        gap: 20px;
        padding: 20px 16px;
    }

    .contacts__route-map {
        aspect-ratio: 1.4;
        border-radius: 5px;
    }

    .contacts__route-title {
        font-size: 12px;
        line-height: normal;
        margin-bottom: 20px;
    }

    .contacts__route-info {
        gap: 20px;
        font-size: 12px;
        margin-bottom: 20px;
    }

    .contacts__route-link {
        height: 30px;
        font-size: 12px;
        border-radius: 5px;
    }

    .worktime {
        gap: 4px;
    }

    .worktime__value {
        font-size: 12px;
    }
}

@media (max-width: 360px) {
    .contacts__links {
        grid-template-columns: repeat(1, 1fr);
    }

    .contacts__worktime {
        flex-direction: column;
    }
}